## org.hibernate.ejb.criteria.path
Class MapKeyHelpers.MapKeyAttribute<K>

    java.lang.Object
      org.hibernate.ejb.criteria.path.MapKeyHelpers.MapKeyAttribute<K>

Type Parameters:
  `K` - The type of the map key

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.Attribute<Map<K,?>,K>, javax.persistence.metamodel.Bindable<K>, javax.persistence.metamodel.SingularAttribute<Map<K,?>,K>

Enclosing class:
  MapKeyHelpers

    public static class MapKeyHelpers.MapKeyAttribute<K>

extends Object
implements javax.persistence.metamodel.SingularAttribute<Map<K,?>,K>, javax.persistence.metamodel.Bindable<K>, Serializable

Defines an `Attribute` modelling of a map-key.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`javax.persistence.metamodel.Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`javax.persistence.metamodel.Bindable.BindableType`

Constructor Summary
`MapKeyHelpers.MapKeyAttribute(CriteriaBuilderImpl criteriaBuilder, javax.persistence.metamodel.MapAttribute<?,K,?> attribute)`

Method Summary
`Class<K>` `getBindableJavaType()`
`javax.persistence.metamodel.Bindable.BindableType` `getBindableType()`
`javax.persistence.metamodel.ManagedType<Map<K,?>>` `getDeclaringType()`
`Member` `getJavaMember()`
`Class<K>` `getJavaType()`
`String` `getName()`
`javax.persistence.metamodel.Attribute.PersistentAttributeType` `getPersistentAttributeType()`
`javax.persistence.metamodel.Type<K>` `getType()`
`boolean` `isAssociation()`
`boolean` `isCollection()`
`boolean` `isId()`
`boolean` `isOptional()`
`boolean` `isVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapKeyHelpers.MapKeyAttribute

    public MapKeyHelpers.MapKeyAttribute(CriteriaBuilderImpl criteriaBuilder,
                                         javax.persistence.metamodel.MapAttribute<?,K,?> attribute)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### getPersistentAttributeType

    public javax.persistence.metamodel.Attribute.PersistentAttributeType getPersistentAttributeType()

  Specified by:
    `getPersistentAttributeType` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### getDeclaringType

    public javax.persistence.metamodel.ManagedType<Map<K,?>> getDeclaringType()

  Specified by:
    `getDeclaringType` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### getJavaType

    public Class<K> getJavaType()

  Specified by:
    `getJavaType` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### getJavaMember

    public Member getJavaMember()

  Specified by:
    `getJavaMember` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `javax.persistence.metamodel.Attribute<Map<K,?>,K>`

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `javax.persistence.metamodel.SingularAttribute<Map<K,?>,K>`

### isVersion

    public boolean isVersion()

  Specified by:
    `isVersion` in interface `javax.persistence.metamodel.SingularAttribute<Map<K,?>,K>`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `javax.persistence.metamodel.SingularAttribute<Map<K,?>,K>`

### getType

    public javax.persistence.metamodel.Type<K> getType()

  Specified by:
    `getType` in interface `javax.persistence.metamodel.SingularAttribute<Map<K,?>,K>`

### getBindableType

    public javax.persistence.metamodel.Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `javax.persistence.metamodel.Bindable<K>`

### getBindableJavaType

    public Class<K> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `javax.persistence.metamodel.Bindable<K>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.